GuideLab Docs

Export a report as CSV

Executes one tenant-scoped report query and returns a synchronous CSV under fixed request, row, byte, time, and query-fan-out ceilings.

POST
/reports/{id}/export

Executes one tenant-scoped report query and returns a synchronous CSV under fixed request, row, byte, time, and query-fan-out ceilings.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/reports/string/export" \  -H "Content-Type: application/json" \  -d '{}'
{  "definitionVersion": "v2",  "data": [    {      "property1": null,      "property2": null    }  ],  "columns": [    {      "key": "string",      "label": "string",      "type": "string",      "format": "string",      "aggregation": "sum"    }  ],  "pagination": {    "page": 1,    "limit": 1,    "total": 0,    "totalPages": 0  },  "summary": [    {      "property1": null,      "property2": null    }  ],  "comparison": [    {      "property1": null,      "property2": null    }  ],  "chart": [    {      "property1": null,      "property2": null    }  ],  "generatedAt": "2019-08-24T14:15:22Z",  "timeZone": "string",  "effective": {    "startDate": "string",    "endDate": "string",    "comparisonStart": "string",    "comparisonEnd": "string",    "filters": [      {        "fieldKey": "string",        "operator": "eq",        "value": null      }    ]  },  "coverage": {    "facts": 0,    "missing": 0,    "undated": 0,    "current": true,    "partialPeriod": true  }}
Empty
Empty
Empty
Empty
Empty
Empty
Empty